<?php
require_once("connect.php");

Class Movimentacao {

    private $nr_documento = ""; // 1-NotaFiscal 2-CupomFiscal 3-Recibo 4-DocManual 5-DocEntrada
    private $tp_documento = "";
        
    public function entradaEstoque($nr_documento, $tp_documento){
        global $conexao;
        
        $sql = "select ds_valor from erpc_parametros where ds_parametro like 'enderecamento'";
        $result = mysqli_query($conexao, $sql);
        if(mysqli_num_rows($result)>0){
            while($row = mysqli_fetch_assoc($result)){
                $enderecamento = $row['ds_valor'];
            }
        }
        
        if($enderecamento != 1){
            if($tp_documento == 1 or $tp_documento == 2){
                $itens = $this->getItensByIdDocumentoSaida($nr_documento);
            }elseif($tp_documento == 3){
                $itens = $this->getItensByIdPedidoLiberado($nr_documento);
            }elseif($tp_documento == 5){
                $itens = $this->getItensByIdDocumentoEntrada($nr_documento);
            }elseif($tp_documento == 4){
                $itens = $this->getItensByIdDocumentoManual($nr_documento);
            }
            $vl_titulo = '0.00';
            foreach($itens as $item){
                $id = $item['id'];
                $nr_qtd = $item['nr_quantidade'];
                
                if($item['fl_atualiza_estoque'] == 1){
                    $sql_atualiza = "update erpc_produtos_saldos set vl_saldo = (vl_saldo + $nr_qtd)
                                where id_produto =$id ";
                    //echo $sql_atualiza . "<br><br>";
                    mysqli_query($conexao,$sql_atualiza) or die(mysqli_error($conexao));
                }
                /*
                if($item['fl_gera_duplicata']){
                    $vl_titulo += (($item['vl_unitario'] - $item['vl_desconto_produto']) * $item['nr_quantidade']);
                }
                */
            }
            /*
            if($geraTitulos == 1){
                
            }
            */
        }
    }
    
    
    
    public function saidaEstoque($nr_documento, $tp_documento){
        global $conexao;
        
        $sql = "select ds_valor from erpc_parametros where ds_parametro like 'enderecamento'";
        $result = mysqli_query($conexao, $sql);
        if(mysqli_num_rows($result)>0){
            while($row = mysqli_fetch_assoc($result)){
                $enderecamento = $row['ds_valor'];
            }
        }
        
        if($tp_documento == 1 or $tp_documento == 2){ //se é um id_documento_saida (Cupom ou Nfe)
            if($this->getFlagPagamentoByIdDocSaida($nr_documento)){
                //Fazer if se já existe lançamento(s) para este documento, se não chamar o método
                $this->geraLancFinanceiro($nr_documento);
            }
        }elseif($tp_documento == 3){ //se é um id_pedido_venda_liberado (Recibo)
            if($this->getFlagPagamentoByIdPedidoLiberado($nr_documento)){
                //Fazer if se já existe lançamento(s) para este documento, se não chamar o método
                $this->geraLancFinanceiroRecibo($nr_documento);
            }
        }
        
        if($enderecamento != 1){
            if($tp_documento == 1 or $tp_documento == 2){
                $itens = $this->getItensByIdDocumentoSaida($nr_documento);
            }elseif($tp_documento == 3){
                $itens = $this->getItensByIdPedidoLiberado($nr_documento);
            }elseif($tp_documento == 4){
                $itens = $this->getItensByIdDocumentoManual($nr_documento);
            }
            foreach($itens as $item){
                $id = $item['id'];
                $nr_qtd = $item['nr_quantidade'];
                
                if($item['fl_atualiza_estoque'] == 1){
                    $sql_atualiza = "update erpc_produtos_saldos set vl_saldo = (vl_saldo - $nr_qtd)
                            where id_produto =$id "; 
                    //echo $sql_atualiza . "<br><br>";
                    mysqli_query($conexao,$sql_atualiza) or die(mysqli_error($conexao));
                }
            }
        }
    }
    
    
    function getFlagPagamentoByIdPedidoLiberado($id_pedido_venda_liberado){
        global $conexao;
        $sql = "select cp.fl_gera_titulo_receber
                	from erpc_pedidos_venda_liberados as pv
                		inner join erpc_condicao_pagamento as cp
                			on pv.id_condicao_pagamento = cp.id
                	where pv.id = $id_pedido_venda_liberado";
        
        $result = mysqli_query($conexao, $sql);
        if(mysqli_num_rows($result) > 0){
            $result = mysqli_fetch_array($result);
            $fl_gera_titulo = $result['fl_gera_titulo_receber'];
            return $fl_gera_titulo;
        }
        return 0;
    }
    
    public function testando123($id_pedido_venda_liberado){
        return "haha";
    }
    
    function getFlagPagamentoByIdDocSaida($id_documento_saida){
        global $conexao;
        $sql = "select cp.fl_gera_titulo_receber
                	from erpc_documentos_saida as ds
                		inner join erpc_pedidos_documentos_saida as pd
                			on ds.id = pd.id_documento_saida
                		inner join erpc_pedidos_venda_liberados as pv
                			on pd.id_pedido_liberados = pv.id
                		inner join erpc_condicao_pagamento as cp
                			on pv.id_condicao_pagamento = cp.id
                	where ds.id = $id_documento_saida";
        
        $result = mysqli_query($conexao, $sql);
        if(mysqli_num_rows($result) > 0){
            $result = mysqli_fetch_array($result);
            $fl_gera_titulo = $result['fl_gera_titulo_receber'];
            return $fl_gera_titulo;
        }
        return 0;
    }
    
    function existeLancamentoIdDocSaida($id_documento_saida){
        global $conexao;
        $id_liberado = getIdPedidoLiberado($id_documento_saida);
        $sql = "select * from erpc_financeiro_lancamentos where id_pedido_venda_liberado = $id_liberado";
        $result = mysqli_num_rows($conexao, $sql);
        if(mysqli_num_rows($result)>0){
            return 1;
        }
        return 0;
    }
    
    function existeLancamentoIdPedidoLiberado($id_pedido_venda_liberado){
        global $conexao;
        $sql = "select * from erpc_financeiro_lancamentos where id_pedido_venda_liberado = $id_pedido_venda_liberado";
        $result = mysqli_num_rows($conexao, $sql);
        if(mysqli_num_rows($result)>0){
            return 1;
        }
        return 0;
    }
    
    
    private function getItensByIdPedidoLiberado($id_pedido_venda_liberado){
        global $conexao;
        $itens = array();
        
        $sql = "select 	 id_produto
            		    ,nr_quantidade
                        ,vl_unitario
                        ,vl_desconto_produto
                        ,fl_atualiza_estoque
                        ,fl_gera_duplicata
            	from erpc_pedidos_itens_liberados il
                    inner join erpc_tipos_movimentacao mov
                        on il.id_tipo_movimentacao = mov.id
                where id_pedido_venda_liberado = $id_pedido_venda_liberado";
        
        $result = mysqli_query($conexao, $sql);
        if(mysqli_num_rows($result)>0){
            while($row = mysqli_fetch_assoc($result)){
                $id_produto = $row['id_produto'];
                $nr_quantidade = $row['nr_quantidade'];
                $vl_unitario = $row['vl_unitario'];
                $vl_desconto_produto = $row['vl_desconto_produto'];
                $fl_atualiza_estoque = $row['fl_atualiza_estoque'];
                $fl_gera_duplicata = $row['fl_gera_duplicata'];
                
                
                $item = array(
                    'id' => $id_produto
                    ,'nr_quantidade' => $nr_quantidade
                    ,'vl_unitario' => $vl_unitario
                    ,'vl_desconto_produto' => $vl_desconto_produto
                    ,'fl_atualiza_estoque' => $fl_atualiza_estoque
                    ,'fl_gera_duplicata' => $fl_gera_duplicata
                );
                array_push($itens, $item);
            }
        }
        return($itens);
    }
    
    private function getItensByIdDocumentoSaida($id_documento_saida){
        global $conexao;
        $itens = array();
        
        $sql = "select   il.id_produto
            		    ,il.nr_quantidade
                        ,il.vl_unitario
                        ,il.vl_desconto_produto
                        ,fl_atualiza_estoque
                        ,fl_gera_duplicata
            	from erpc_pedidos_documentos_saida pds
                inner join erpc_pedidos_venda_liberados vl
            		on pds.id_pedido_liberados = vl.id
                inner join erpc_pedidos_itens_liberados il
            		on il.id_pedido_venda_liberado = vl.id
                inner join erpc_tipos_movimentacao mov
                        on il.id_tipo_movimentacao = mov.id
                where pds.id_documento_saida = $id_documento_saida";
        $result = mysqli_query($conexao, $sql);
        if(mysqli_num_rows($result)>0){
            while($row = mysqli_fetch_assoc($result)){
                $id_produto = $row['id_produto'];
                $nr_quantidade = $row['nr_quantidade'];
                $vl_unitario = $row['vl_unitario'];
                $vl_desconto_produto = $row['vl_desconto_produto'];
                $fl_atualiza_estoque = $row['fl_atualiza_estoque'];
                $fl_gera_duplicata = $row['fl_gera_duplicata'];
                
                $item = array(
                    'id' => $id_produto
                    ,'nr_quantidade' => $nr_quantidade
                    ,'vl_unitario' => $vl_unitario
                    ,'vl_desconto_produto' => $vl_desconto_produto
                    ,'fl_atualiza_estoque' => $fl_atualiza_estoque
                    ,'fl_gera_duplicata' => $fl_gera_duplicata
                );
                array_push($itens, $item);
            }
        }
        return($itens);
    }
    
    private function getItensByIdDocumentoEntrada($id_documento_entrada){
        global $conexao;
        $itens = array();
        
        $sql = "select 	 id_produto
            		    ,nr_quantidade
                        ,vl_unitario
                        ,0.00 vl_desconto_produto
                        ,fl_atualiza_estoque
                        ,fl_gera_duplicata
            	from erpc_documentos_entrada_itens dc
                    inner join erpc_tipos_movimentacao mov
                        on dc.id_tipo_movimentacao = mov.id
                where id_documento_entrada = $id_documento_entrada";
        
        $result = mysqli_query($conexao, $sql);
        if(mysqli_num_rows($result)>0){
            while($row = mysqli_fetch_assoc($result)){
                $id_produto = $row['id_produto'];
                $nr_quantidade = $row['nr_quantidade'];
                $vl_unitario = $row['vl_unitario'];
                $vl_desconto_produto = $row['vl_desconto_produto'];
                $fl_atualiza_estoque = $row['fl_atualiza_estoque'];
                $fl_gera_duplicata = $row['fl_gera_duplicata'];
                
                
                $item = array(
                    'id' => $id_produto
                    ,'nr_quantidade' => $nr_quantidade
                    ,'vl_unitario' => $vl_unitario
                    ,'vl_desconto_produto' => $vl_desconto_produto
                    ,'fl_atualiza_estoque' => $fl_atualiza_estoque
                    ,'fl_gera_duplicata' => $fl_gera_duplicata
                );
                array_push($itens, $item);
            }
        }
        return($itens);
    }
    
    private function getItensByIdDocumentoManual($id_documento_manual){
        global $conexao;
        $itens = array();
        $sql = "select 	 id_produto
                		,nr_quantidade
                        ,vl_unitario
                        ,vl_desconto
                        ,fl_atualiza_estoque
		                ,fl_gera_duplicata
                        from erpc_documento_manual_itens dm
                			inner join erpc_tipos_movimentacao mov
                            on dm.id_tipo_movimentacao = mov.id
                    where id_documento_entrada = $id_documento_manual";

        $result = mysqli_query($conexao, $sql);
        if(mysqli_num_rows($result)>0){
            while($row = mysqli_fetch_assoc($result)){
                $id_produto = $row['id_produto'];
                $nr_quantidade = $row['nr_quantidade'];
                $vl_unitario = $row['vl_unitario'];
                $vl_desconto_produto = $row['vl_desconto'];
                $fl_atualiza_estoque = $row['fl_atualiza_estoque'];
                $fl_gera_duplicata = $row['fl_gera_duplicata'];
                
                
                $item = array(
                    'id' => $id_produto
                    ,'nr_quantidade' => $nr_quantidade
                    ,'vl_unitario' => $vl_unitario
                    ,'vl_desconto_produto' => $vl_desconto_produto
                    ,'fl_atualiza_estoque' => $fl_atualiza_estoque
                    ,'fl_gera_duplicata' => $fl_gera_duplicata
                );
                array_push($itens, $item);
            }
        }
        return($itens);
    }

    
    function geraLancFinanceiro($id_documento_saida){
        
        $this->prepareInsert($this->getDadosInsertLancamentos($id_documento_saida));
    }
    
    //geraLancFinanceiro - com base no id do PEDIDO LIBERADO faz as chamadas de funções para gerar um título no banco de dados
    function geraLancFinanceiroRecibo($id_pedido_venda_liberado){
        global $conexao;
        $sql_check = "select * from erpc_financeiro_lancamentos where id_pedido_venda_liberado = $id_pedido_venda_liberado";
        $result = mysqli_query($conexao, $sql_check);
        if(mysqli_num_rows($result) > 0){
            
        }else{
            $this->prepareInsert($this->getDadosReciboInsertLancamentos($id_pedido_venda_liberado));
        }
    }
    
    //Cancela título financeiro A PARTIR de um ID_PEDIDO_VENDA_LIBERADO
    function cancelaTituloFinanceiro($id_pedido_venda_liberado){
        global $conexao;
        $sql = "update erpc_financeiro_lancamentos set st_ativo = 0 where id_pedido_venda_liberado = $id_pedido_venda_liberado";
        mysqli_query($conexao, $sql) or die(mysqli_error($conexao));
    }
    
    //Cancela título financeiro A PARTIR de um ID_DOCUMENTO_SAIDA
    function cancelaTitulo($id_documento_saida){
        $id_pedido_liberado = $this->getIdPedidoLiberado($id_documento_saida);
        $sql = "update erpc_financeiro_lancamentos set st_ativo = 0 where id_pedido_venda_liberado = $id_pedido_liberado";
        global $conexao;
        mysqli_query($conexao, $sql);
    }
    
    // Descobramento de Títulos
    // prepareInsert - Divide o valor de um pedido pelo numero das parcelas e chama método para inserção de um título
    function prepareInsert($dados){
        $id_status_baixa = 2; // 1->Título Baixado , 2->Título Aberto
        $id_plano_contas = $dados['id_plano_contas'];
        $id_tipo_pagamento = $dados['id_tipo_pagamento'];
        $ds_item = "Venda";
        $vl_desconto = $dados['vl_desconto'];
        $id_usuario = $dados['id_usuario'];
        $prazos = explode(",", $dados['ds_estrutura']);
        $st_ativo = 1;
        if(isset($dados['id_documento_saida'])){
            $id_documento_saida = $dados['id_documento_saida'];
        }
        $id_pedido_venda_liberado = $dados['id_pedido_venda_liberado'];
        //Henrique - Atualmente o nr_dia vem da tabela condição de pagamento. É necessário ter esse valor para setar o dia no qual a conta será lançada.
        //$nr_dia = $dados['nr_dia'];
        $nr_dia = 31;
        $nr_dia--;
        $hoje = date("d");
        //echo "diaNr: " . $nr_dia . "<br><br>";
        $prox_mes = date('Y-m-d',strtotime('first day of +1 month'));
        $dia_correto = date('Y-m-d', strtotime(''.$prox_mes. ' +'. $nr_dia .' days'));
        //echo "Dia correto: " . $dia_correto . "<br>";
        
        
        
        if($nr_dia!='' && $hoje > $nr_dia){
            
            $prox_mes = date('m',strtotime('first day of +1 month'));
            
            if($dados['nr_qtde_parcelas'] > 0){
                
                $vl_parcial_saldo = $dados['vl_total']/$dados['nr_qtde_parcelas'];
                
                for($i = 0; $i < $dados['nr_qtde_parcelas']; $i++){
                    $prazo = array_shift($prazos);
                    //echo "Prazo é: $prazo <br>";
                    $dt_vencimento = date('Y-m-d', strtotime(''.$dia_correto. ' +'. $prazo .' days'));
                    //echo "Dt_vencimento: $dt_vencimento <br>";
                    
                    $this->insertLancamentos(	$id_plano_contas
                        ,$id_status_baixa
                        ,$id_tipo_pagamento
                        ,$dt_vencimento
                        ,$vl_desconto
                        ,NULL
                        ,$vl_parcial_saldo
                        ,$ds_item
                        ,NULL
                        ,$id_usuario
                        ,$id_pedido_venda_liberado
                        ,$st_ativo
                        );
                    
                }
                
            }
        }else{
            if($dados['nr_qtde_parcelas'] > 0){
                
                $vl_parcial_saldo = $dados['vl_total']/$dados['nr_qtde_parcelas'];
                
                for($i = 0; $i < $dados['nr_qtde_parcelas']; $i++){
                    $prazo = array_shift($prazos);
                    //echo "Prazo é: $prazo <br>";
                    if(is_null($prazo)){
                        $prazo = 0;
                    }
                    $dt_vencimento = date('Y-m-d', strtotime('+'.$prazo. ' days'));
                    //echo "Dt_vencimento: " . $dt_vencimento . "<br>";
                    
                    $this->insertLancamentos(	$id_plano_contas
                        ,$id_status_baixa
                        ,$id_tipo_pagamento
                        ,$dt_vencimento
                        ,$vl_desconto
                        ,NULL
                        ,$vl_parcial_saldo
                        ,$ds_item
                        ,NULL
                        ,$id_usuario
                        ,$id_pedido_venda_liberado
                        ,$st_ativo
                        );
                    
                }
                
            }
            
        }
        
    }
    
    //ID TIPO TITULO remover?
    
    function insertLancamentos($id_planofin, $id_status_baixa, $id_tipo_titulo, $dt_vencimento, $vl_desconto, $vl_juros_multa, $vl_parcial_saldo, $ds_item, $ds_historico, $id_usuario, $id_pedido_venda_liberado, $st_ativo){
        
        global $conexao;
        $id_tipo_titulo = 1; // Receitas
        
        if(is_null($vl_desconto)){
            $vl_desconto = 0.00;
        }
        if(is_null($vl_juros_multa)){
            $vl_juros_multa = 0.00;
        }
        
        
        
        //echo "Valor no insert é de: R$ " . $vl_parcial_saldo . "<br>";
        
        $sql = "insert into erpc_financeiro_lancamentos (
						id_planofin
						,id_status_baixa
						,id_tipo_titulo
						,dt_vencimento
						,dt_lancamento
						,vl_desconto
						,vl_juros_multa
						,vl_saldo
						,ds_nr_cheque
						,ds_item
						,ds_historico
						,dh_alteracao
						,id_usuario
						,id_pedido_venda_liberado
						,st_ativo)
				Values 	($id_planofin
						,$id_status_baixa
						,$id_tipo_titulo
						,'$dt_vencimento'
						,now()
						,'$vl_desconto'
						,'$vl_juros_multa'
						,'$vl_parcial_saldo'
						,''
						,'$ds_item'
						,''
						,now()
						,$id_usuario
						,$id_pedido_venda_liberado
						,$st_ativo)";
        
        //echo $sql;
        //exit;
        
        $set_fk_check_off = "SET FOREIGN_KEY_CHECKS = 0;";
        $stmt1 = mysqli_prepare($conexao, $set_fk_check_off) or die(mysqli_error($conexao) . '<br />' . $set_fk_check_off);
        mysqli_stmt_execute($stmt1) or die(mysqli_error($conexao));
        
        $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
        if(mysqli_stmt_execute($stmt)){
            //echo "<br>Receita inserida com sucesso";
        }else{
            die(mysqli_error($conexao));
        }
        $set_fk_check_on = "SET FOREIGN_KEY_CHECKS = 1;";
        $stmt2 = mysqli_prepare($conexao, $set_fk_check_on) or die(mysqli_error($conexao) . '<br />' . $set_fk_check_on);
        mysqli_stmt_execute($stmt2) or die(mysqli_error($conexao));
    }
    
    
    
    //Obtem dados necessários para inserir uma linha da tabela erpc_financeiro_lancamentos a partir de um ID de documento de Saída
    function getDadosInsertLancamentos($id_documento_saida){
        global $conexao;
        $sql = "select
                     ven.id as id_pedido_venda_liberado
					,ven.id_condicao_pagamento
					,cond.nr_qtde_parcelas
					,cond.id_tipo as id_tipo_pagamento
					,cond.ds_estrutura
					,cond.nr_dia
                    ,ven.vl_total_pedido
					,ven.vl_desconto
					,ven.id_plano_contas
					,ven.id_usuario
			from
					erpc_pedidos_venda_liberados ven
					inner join erpc_pedidos_documentos_saida pds
						on ven.id = pds.id_pedido_liberados
					inner join erpc_documentos_saida sai
						on pds.id_documento_saida = sai.id
					inner join erpc_condicao_pagamento cond
						on ven.id_condicao_pagamento = cond.id
                    inner join erpc_pedidos_itens_liberados itens_lib
						on ven.id = (select
                                                ven.id
                                        from
                                                erpc_pedidos_venda_liberados ven
                                                inner join erpc_pedidos_documentos_saida pds
                                                    on ven.id = pds.id_pedido_liberados
                                                inner join erpc_documentos_saida sai
                                                    on pds.id_documento_saida = sai.id
                                        where
                                                sai.id = $id_documento_saida
                                        group by ven.id)
			where
					sai.id = $id_documento_saida
			group by
					ven.id;";
        
        $dados = array (
            'id_pedido_venda_liberado' => ''
            ,'id_plano_contas' => ''
            ,'id_condicao_pagamento' => ''
            ,'nr_qtde_parcelas' => ''
            ,'id_tipo_pagamento' => ''
            ,'ds_estrutura' => ''
            ,'nr_dia' => ''
            ,'vl_total' => ''
            ,'vl_desconto' => ''
            ,'id_plano_contas' => ''
            ,'id_usuario' => ''
            ,'id_documento_saida' => $id_documento_saida
        );
        
        //echo "<br>" . $sql . "<br><br>";
        
        $resultado = mysqli_query($conexao, $sql) or die ($erro = mysqli_error($conexao));
        
        if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){
                $dados['id_pedido_venda_liberado'] = $registro['id_pedido_venda_liberado'];
                $dados['id_condicao_pagamento'] = $registro['id_condicao_pagamento'];
                $dados['nr_qtde_parcelas'] = $registro['nr_qtde_parcelas'];
                $dados['id_tipo_pagamento'] = $registro['id_tipo_pagamento'];
                $dados['ds_estrutura'] = $registro['ds_estrutura'];
                $dados['nr_dia'] = $registro['nr_dia'];
                $dados['vl_total'] = $registro['vl_total_pedido'];
                $dados['vl_desconto'] = $registro['vl_desconto'];
                $dados['id_plano_contas'] = $registro['id_plano_contas'];
                $dados['id_usuario'] = $registro['id_usuario'];
            }
        }
        return $dados;
    }
    
    //Obtem dados necessários para inserir uma linha da tabela erpc_financeiro_lancamentos a partir de um PEDIDO LIBERADO
    function getDadosReciboInsertLancamentos($id_pedido_venda_liberado){
        global $conexao;
        $sql = "select
            		 ven.id_condicao_pagamento
            		,cond.nr_qtde_parcelas
            		,cond.id_tipo as id_tipo_pagamento
            		,cond.ds_estrutura
            		,cond.nr_dia
            		,ven.vl_total_pedido
            		,ven.vl_desconto
            		,ven.id_plano_contas
            		,ven.id_usuario
            from
            		erpc_pedidos_venda_liberados ven
                    inner join erpc_condicao_pagamento cond
            			on ven.id_condicao_pagamento = cond.id
            			where
            					ven.id = $id_pedido_venda_liberado
            			group by
            					ven.id;";
        
        $dados = array (
            'id_plano_contas' => ''
            ,'id_condicao_pagamento' => ''
            ,'nr_qtde_parcelas' => ''
            ,'id_tipo_pagamento' => ''
            ,'ds_estrutura' => ''
            ,'nr_dia' => ''
            ,'vl_total' => ''
            ,'vl_desconto' => ''
            ,'id_plano_contas' => ''
            ,'id_usuario' => ''
            ,'id_pedido_venda_liberado' => $id_pedido_venda_liberado
        );
        
        //echo "<br>" . $sql . "<br><br>";
        
        $resultado = mysqli_query($conexao, $sql) or die ($erro = mysqli_error($conexao));
        
        if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){
                $dados['id_condicao_pagamento'] = $registro['id_condicao_pagamento'];
                $dados['nr_qtde_parcelas'] = $registro['nr_qtde_parcelas'];
                $dados['id_tipo_pagamento'] = $registro['id_tipo_pagamento'];
                $dados['ds_estrutura'] = $registro['ds_estrutura'];
                $dados['nr_dia'] = $registro['nr_dia'];
                $dados['vl_total'] = $registro['vl_total_pedido'];
                $dados['vl_desconto'] = $registro['vl_desconto'];
                $dados['id_plano_contas'] = $registro['id_plano_contas'];
                $dados['id_usuario'] = $registro['id_usuario'];
            }
        }
        return $dados;
    }
    
    
    function getIdPedidoLiberado($id_documento_saida){
        global $conexao;
        $sql = "select
					ven.id
			from
					erpc_pedidos_venda_liberados ven
					inner join erpc_pedidos_documentos_saida pds
						on ven.id = pds.id_pedido_liberados
					inner join erpc_documentos_saida sai
						on pds.id_documento_saida = sai.id
			where
					sai.id = $id_documento_saida
			group by ven.id;";
        
        $resultado = mysqli_query($conexao, $sql) or die ($erro = mysqli_error($conexao));
        
        if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){
                $id_pedido_liberado = $registro['id'];
            }
        }
        return $id_pedido_liberado;
    }
    
    function getValorPedidoLiberado($id_documento_saida){
        global $conexao;
        $id_pedido_liberado = $this->getIdPedidoLiberado($id_documento_saida);
        $sql_valor = "SELECT  ven.id
					,ven.vl_total_pedido
				  FROM
							erpc_pedidos_venda_liberados ven
						inner join erpc_pedidos_itens_liberados itens
						on ven.id = itens.id_pedido_venda_liberado
				  Where
							itens.id_tipo_movimentacao = 510
							and ven.id = $id_pedido_liberado
				  group by ven.id;";
        
        $resultado2 = mysqli_query($conexao, $sql_valor) or die ($erro = mysqli_error($conexao));
        
        if (mysqli_num_rows($resultado2)>0) {
            while ($registro = mysqli_fetch_assoc($resultado2)){
                $valor = $registro['vl_total_pedido'];
            }
        }
        return $valor;
    }
    
    
}
